Subject: Re: linux-next: build failure after merge of the usb tree

From: Greg KH <[email-masked]>
Date: Wed, 19 Sep 2012 15:13:16 +0100

On Wed, Sep 19, 2012 at 02:59:25PM +0100, Alan Cox wrote:
> On Wed, 19 Sep 2012 14:31:36 +1000
> Stephen Rothwell <[email-masked]> wrote:
> 
> > Hi Greg,
> > 
> > After merging the usb tree, today's linux-next build (x86_64 allmodconfig)
> > failed like this:
> > 
> > drivers/usb/serial/vizzini.c: In function 'vizzini_set_termios':
> > drivers/usb/serial/vizzini.c:454:22: error: invalid type argument of '->' (have 'struct ktermios')
> > 
> > Caused by commit c05fecb1d57e ("USB: serial: add vizzini driver")
> > interacting with commit adc8d746caa6 ("tty: move the termios object into
> > the tty") from the tty tree.
> > 
> > I added the following merge fix patch and can carry it as necessary:
> 
> Vizzini seems to have teleported into Greg's tree. Greg - it's got a pile
> of other bugs in it plus complete bogus comments and the like. You don't
> seem to have every posted it to the lists for comment or if you did it
> didn't turn up here ?

Yeah, I pulled it in from an out-of-tree vendor and tried to clean a
bunch of things up, but I know it has more things left to get right
(heck, I'm almost not sure it's even needed, I think this might be a
cdc-acm device...)

Any patches are appreciated, and I think that if the vendor doesn't
respond, I'll just drop the driver entirely, their emails are now
bouncing :(

greg k-h